%define url_ver %(echo %{version} | cut -d "." -f -2)

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Summary:	GUI for gupnp
Name:		gupnp-ui
Version:	0.1.1
Release:	%mkrel 4
Source:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.gz
Patch:		gupnp-ui-0.1.1-format-strings.patch
License:	LGPLv2+
Group:		Networking/Other
Url:		http://gupnp.org/
BuildRequires:	pkgconfig(gupnp-1.0) >= 0.3
BuildRequires:	pkgconfig(gtk+-2.0)

%description
GUI for gupnp.

%package -n %{libname}
Summary:	Main library for gupnp-ui
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gupnp-ui.

%package -n %{devname}
Summary:	Headers for developing programs that will use gupnp-ui
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use gupnp-ui.

%prep
%setup -q
%patch -p1

%build
%configure2_5x -disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{devname}
%{_libdir}/pkgconfig/gupnp-ui*.pc
%{_includedir}/gupnp-ui-1.0/lib%{name}/*.h
%{_libdir}/*.so
%{_datadir}/gtk-doc/html/%{name}/*





%changelog

* Tue Sep 27 2011 wally <wally> 0.1.1-4.mga2
+ Revision: 149493
- get rid of .la files
- clean .spec a bit
- imported package gupnp-ui


* Tue Aug 30 2011 Götz Waschk <waschk@mandriva.org> 0.1.1-4mdv2012.0
+ Revision: 697462
- rebuild

* Tue Sep 21 2010 Götz Waschk <waschk@mandriva.org> 0.1.1-3mdv2011.0
+ Revision: 580331
- update build deps

* Sun Sep 20 2009 Götz Waschk <waschk@mandriva.org> 0.1.1-2mdv2010.0
+ Revision: 445783
- rebuild for new libgupnp

* Fri Sep 11 2009 Götz Waschk <waschk@mandriva.org> 0.1.1-1mdv2010.0
+ Revision: 438524
- new version
- fix URL
- fix format strings
- fix build

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Erwan Velu <erwan@mandriva.org>
    - import gupnp-ui

